import { drizzle } from "drizzle-orm/node-postgres";
import pg from "pg";
import * as schema from "./schema.ts";

import { migrate } from "drizzle-orm/node-postgres/migrator";

// Use pg driver.
const { Pool } = pg;

// Instantiate Drizzle client with pg driver and schema.
export const db = drizzle({
  client: new Pool({
    max: 20,
    connectionString: Deno.env.get("DATABASE_URL"),
  }),
  schema,
});

export async function migrateDb() {
  await migrate(db, { migrationsFolder: "drizzle" });
  console.log("Database migrated");
}
